<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>ov-commons</artifactId>
        <groupId>com.scytl.products.ov.channel.commons</groupId>
        <version>2.1.7</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
    <artifactId>ov-commons-lib-persistence</artifactId>
    <packaging>jar</packaging>
    <name>Online Voting - Commons - Persistence</name>

    <dependencies>

        <!-- Hibernate related dependencies - provided.
        This dependency is needed to check that the DB exception that is thrown is actually ConstraintViolation Exception, 
        it may be better to divide this module in 2 parts: 1 JPA dependent and another module JPA
         provider dependent and move hibernate or open-jpa dependency to that module -->
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-entitymanager</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <artifactId>cryptolib-certificates</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${cryptolib.version}</version>
        </dependency>
        <dependency>
            <artifactId>cryptolib-scytl-keystore</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${cryptolib.version}</version>
        </dependency>
        <dependency>
            <artifactId>cryptolib-stores</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${cryptolib.version}</version>
        </dependency>
        <dependency>
            <artifactId>cryptolib-api-stores</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${cryptolib.version}</version>
        </dependency>
        <dependency>
            <artifactId>cryptolib-primitives</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${cryptolib.version}</version>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-beans</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>libs-config</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-infrastructure</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>


    <build>
        <plugins>
            <!-- Generates a jar with the junits that can be reused in other modules -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.6</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>test-jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
